# Default values for binance-daemon.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

net: mainnet

replicaCount: 1

image:
  repository: registry.gitlab.com/thorchain/devops/binance-node
  mocknet: registry.gitlab.com/thorchain/bepswap/mock-binance
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

hostNetwork: false

service:
  type: ClusterIP
  port:
    testnet:
      p2p: 26656
      rpc: 26657
    mainnet:
      p2p: 27146
      rpc: 27147

ingress:
  enabled: false
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # cert-manager.io/cluster-issuer: letsencrypt-production
  hosts: []
    # - host: midgard.example.com
    #   paths:
    #   - path: /
    #     backend:
    #       serviceName: gateway
    #       servicePort: midgard
  tls: []
   # - secretName: midgard-tls
   #   hosts:
   #     - midgard.example.com

persistence:
  enabled: true
  size:
    testnet: 50Gi
    mainnet: 500Gi
  accessMode: ReadWriteOnce
  # storageClass: "-"

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext:
  fsGroup: 1000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 1000

resources:
  requests:
    cpu: 4
    memory: 20Gi
  limits:
    # cpu: 2
    memory: 20Gi

nodeSelector: {}

tolerations: []

affinity: {}

global: {}
